- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ArrayVisitor Class Reference

Inheritance diagram for osg::ArrayVisitor:

[legend]
List of all members.

## Public Member Functions
| ArrayVisitor ()
virtual void | apply (Array &)
virtual void | apply (ByteArray &)
virtual void | apply (ShortArray &)
virtual void | apply (IntArray &)
virtual void | apply (UByteArray &)
virtual void | apply (UShortArray &)
virtual void | apply (UIntArray &)
virtual void | apply (UByte4Array &)
virtual void | apply (FloatArray &)
virtual void | apply (Vec2Array &)
virtual void | apply (Vec3Array &)
virtual void | apply (Vec4Array &)

## Constructor & Destructor Documentation

osg::ArrayVisitor::ArrayVisitor | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void osg::ArrayVisitor::apply | ( | Vec4Array & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | Vec3Array & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | Vec2Array & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | FloatArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | UByte4Array & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | UIntArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | UShortArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | UByteArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | IntArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | ShortArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | ByteArray & |  | ) | `[inline, virtual]`

virtual void osg::ArrayVisitor::apply | ( | Array & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Array